﻿
.ui-dialog {
    position: fixed;
    overflow: hidden;
    background-color: #FFF;
    box-shadow: 0 22px 64px 0 rgba(0, 0, 0, 0.22);
    border-radius: 4px;
}

.ui-dialog-titlebar {
    background-color: #EEF1F3;
    padding: 0.6875rem 1.25rem;
    font-size: 1.25rem;
    line-height: 1.875rem;
    border-bottom: none;
}

.ui-dialog-titlebar-close {
    float: right;
    width: 8px;
    height: 8px;
    margin: 6px;
}

.ui-dialog-content {
    padding: 1.25rem;
    overflow: auto;
}

.ui-dialog-mask {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, .5);
    opacity: 0.5;
}

@media (max-width: 768px) {

    .ui-dialog {
        width: 100% !important;
        top: 0px !important;
    }

    .ui-dialog-content {
        -webkit-overflow-scrolling: touch;
    }
}

.ui-dialog-wrapper {
    display: flex;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    z-index: 1000;
    align-items: center;
    justify-content: center;
}

.ui-dialog-wrapper .ui-dialog {
    max-height: 100%;
    display: flex;
    flex-direction: column;
    position: static;
}

.ui-dialog-wrapper .ui-dialog-content {
    flex: 0 1 auto;
    overflow: auto;
}
